PDFTextUtil (Apache FOP 2.7 API)
Date: 2022-01-12

org.apache.fop.svg

## Class PDFTextUtil

- java.lang.Object
- - org.apache.fop.pdf.PDFTextUtil
  - - org.apache.fop.svg.PDFTextUtil

-     public abstract class PDFTextUtil
      extends PDFTextUtil

  Utility class for generating PDF text objects. It needs to be subclassed to add writing functionality (see `PDFTextUtil.write(String)`).

- - ### Field Summary

    - ### Fields inherited from class org.apache.fop.pdf.PDFTextUtil

      `TR_CLIP, TR_FILL, TR_FILL_CLIP, TR_FILL_STROKE, TR_FILL_STROKE_CLIP, TR_INVISIBLE, TR_STROKE, TR_STROKE_CLIP`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PDFTextUtil(FontInfo fontInfo)` Main constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getCurrentEncoding()` Returns the current encoding.
    `Font` | `getCurrentFont()` Returns the current font in use.
    `protected void` | `initValues()` Resets the state fields.
    `protected boolean` | `isCIDFont(java.lang.String name)`
    `protected boolean` | `isMultiByteFont(java.lang.String name)` Determines whether the font with the given name is a multi-byte font.
    `void` | `setCurrentEncoding(int encoding)` Sets the current encoding.
    `void` | `setCurrentFont(Font f)` Sets the current font.
    `void` | `writeTf(Font f)` Writes a "Tf" command, setting a new current font.

    - ### Methods inherited from class org.apache.fop.pdf.PDFTextUtil

      `adjustGlyphTJ, beginTextObject, concatMatrix, endTextObject, isInTextObject, setTextRenderingMode, setTextRenderingMode, updateTf, write, write, writeTd, writeTextMatrix, writeTf, writeTJ, writeTj, writeTJMappedChar, writeTJMappedCodePoint`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PDFTextUtil

          public PDFTextUtil(FontInfo fontInfo)

      Main constructor.
      Parameters:
        `fontInfo` - the font catalog

  - ### Method Detail

    - #### initValues

          protected void initValues()

      Resets the state fields.
      Overrides:
        `initValues` in class `PDFTextUtil`

    - #### getCurrentFont

          public Font getCurrentFont()

      Returns the current font in use.
      Returns:
        the current font or null if no font is currently active.

    - #### getCurrentEncoding

          public int getCurrentEncoding()

      Returns the current encoding.
      Returns:
        the current encoding

    - #### setCurrentFont

          public void setCurrentFont(Font f)

      Sets the current font.
      Parameters:
        `f` - the new font to use

    - #### setCurrentEncoding

          public void setCurrentEncoding(int encoding)

      Sets the current encoding.
      Parameters:
        `encoding` - the new encoding

    - #### isMultiByteFont

          protected boolean isMultiByteFont(java.lang.String name)

      Determines whether the font with the given name is a multi-byte font.
      Parameters:
        `name` - the name of the font
      Returns:
        true if it's a multi-byte font

    - #### isCIDFont

          protected boolean isCIDFont(java.lang.String name)

    - #### writeTf

          public void writeTf(Font f)

      Writes a "Tf" command, setting a new current font.
      Parameters:
        `f` - the font to select

Copyright 1999-2022 The Apache Software Foundation. All Rights Reserved.